{
  "name": "vue-admin-template",
  "private": true,
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "build": "vite build && esno ./build/script/postBuild.js",
    "build:no-cache": "pnpm clean:cache && pnpm run build",
    "preview": "yarn build && vite preview",
    "preview:dist": "vite preview",
    "clean:cache": "rimraf node_modules/.cache/ && rimraf node_modules/.vite",
    "clean:lib": "rimraf node_modules",
    "format": "prettier --write \"./**/*.{html,vue,ts,js,json,md}\"",
    "lint:eslint": "eslint \"{src,mock}/**/*.{vue,js,jsx}\" --fix",
    "lint:prettier": "prettier --write --loglevel warn \"src/**/*.{js,json,tsx,css,less,scss,vue,html,md}\"",
    "lint:style": "stylelint src/**/*.{css,scss,vue} --cache --fix",
    "lint:pretty": "pretty-quick --staged"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@vitejs/plugin-vue-jsx": "^4.1.1",
    "@vueuse/core": "^12.0.0",
    "autoprefixer": "^10.4.20",
    "axios": "^1.7.8",
    "date-fns": "^4.1.0",
    "decimal.js": "^10.5.0",
    "dotenv": "^16.4.5",
    "echarts": "^5.5.1",
    "echarts-liquidfill": "^3.1.0",
    "element-plus": "^2.8.8",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-define-config": "^2.1.0",
    "eslint-plugin-prettier": "^5.2.1",
    "eslint-plugin-vue": "^9.31.0",
    "esno": "^4.8.0",
    "file-saver": "^2.0.5",
    "mitt": "^3.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.2.7",
    "pinia-plugin-persistedstate": "^4.1.3",
    "postcss": "^8.4.49",
    "postcss-html": "^1.7.0",
    "postcss-scss": "^4.0.9",
    "prettier": "^3.4.0",
    "qs": "^6.13.1",
    "sass": "^1.81.0",
    "sass-loader": "^16.0.3",
    "screenfull": "^6.0.2",
    "sortablejs": "^1.15.6",
    "stylelint": "^16.10.0",
    "stylelint-config-prettier": "^9.0.5",
    "stylelint-config-recess-order": "^5.1.1",
    "stylelint-config-recommended-scss": "^14.1.0",
    "stylelint-config-standard": "^36.0.1",
    "stylelint-config-standard-scss": "^13.1.0",
    "stylelint-config-standard-vue": "^1.0.0",
    "stylelint-order": "^6.0.4",
    "stylelint-prettier": "^5.0.2",
    "stylelint-scss": "^6.10.0",
    "tailwindcss": "^3.4.15",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-html": "^3.2.2",
    "vite-plugin-lazy-import": "^1.0.7",
    "vue": "^3.5.12",
    "vue-router": "^4.5.0",
    "vue3-print-nb": "^0.1.4",
    "vxe-pc-ui": "^4.3.27",
    "vxe-table": "^4.9.23",
    "ws": "^8.18.0"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^5.1.4",
    "vite": "^5.4.10"
  }
}
